/*
    Genpopu permet une simulation de l'volution des frquences allliques dans une population.
    Copyright (C) 1997 (version Dos) 2009-2024 (Windows and Linux Versions) Vial Jean-Luc Annecy
    Contact email: vial.frjl@free.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef Reglages_H_INCLUDED
#define Reglages_H_INCLUDED

#include <wx/wx.h>
#include "ProjetdeBase.h"

class Reglages: public wxFrame
{

public:

// Le constructeur
    Reglages(wxWindow* parent,wxWindowID idfenReglages);
// Le destructeur
    ~Reglages();
private:
    // Boutons
    static const long idBoutonPlus1;
    wxButton* BoutonPlus1;
    void OnBoutonPlus1(wxCommandEvent& event);
    static const long idBoutonMoins1;
    wxButton* BoutonMoins1;
    void OnBoutonMoins1(wxCommandEvent& event);
    // Titres
    wxStaticText* LabelFreq;
    wxStaticText* LabelLetal;
    // Barres de rglage Verticales (paramtres)
    wxStaticText* LabelFec;
    wxStaticText* LabelFecMax;
    wxStaticText* LabelFecMin;
    static const long idBarFec;
    void OnBarFec(wxScrollEvent& event);
    wxSlider* BarFec;

    wxStaticText* LabelEffMin;
    wxStaticText* LabelEffMinMax;
    wxStaticText* LabelEffMinMin;
    static const long idBarEffMin;
    void OnBarEffMin(wxScrollEvent& event);
    wxSlider* BarEffMin;

    wxStaticText* LabelEffMax;
    wxStaticText* LabelEffMaxMax;
    wxStaticText* LabelEffMaxMin;
    static const long idBarEffMax;
    void OnBarEffMax(wxScrollEvent& event);
    wxSlider* BarEffMax;

    wxStaticText* LabelNbGen;
    wxStaticText* LabelNbGenMax;
    wxStaticText* LabelNbGenMin;
    static const long idBarNbGen;
    void OnBarNbGen(wxScrollEvent& event);
    wxSlider* BarNbGen;

    wxStaticText* LabelNbAll;
    wxStaticText* LabelNbAllMax;
    wxStaticText* LabelNbAllMin;
    static const long idBarNbAll;
    void OnBarNbAll(wxScrollEvent& event);
    wxSlider* BarNbAll;

    // Barres de rglage Horizontales (allles)
    wxStaticText* LabelAll_1;
    wxStaticText* LabelAll_2;
    wxStaticText* LabelAll_3;
    wxStaticText* LabelAll_4;
    wxStaticText* LabelEchelleHorF;
    wxStaticText* LabelEchelleHorFD;
    wxStaticText* LabelEchelleHorL;
    wxStaticText* LabelEchelleHorLD;
    static const long idBarAll1;
    void OnBarAll1(wxScrollEvent& event);
    wxSlider* BarAll1;
    static const long idBarAll1l_Let;
    void OnBarAll1l_Let(wxScrollEvent& event);
    wxSlider* BarAll1l_Let;

    static const long idBarAll2;
    void OnBarAll2(wxScrollEvent& event);
    wxSlider* BarAll2;
    static const long idBarAll2l_Let;
    void OnBarAll2l_Let(wxScrollEvent& event);
    wxSlider* BarAll2l_Let;

    static const long idBarAll3;
    void OnBarAll3(wxScrollEvent& event);
    wxSlider* BarAll3;
    static const long idBarAll3l_Let;
    void OnBarAll3l_Let(wxScrollEvent& event);
    wxSlider* BarAll3l_Let;

    static const long idBarAll4;
    void OnBarAll4(wxScrollEvent& event);
    wxSlider* BarAll4;
    static const long idBarAll4l_Let;
    void OnBarAll4l_Let(wxScrollEvent& event);
    wxSlider* BarAll4l_Let;

    void Positionne_regles();
    void Rafraichit_fenetre_principale();
    void OnPaint(wxPaintEvent& event);
    void OnQuit(wxCloseEvent& event);

    DECLARE_EVENT_TABLE()
};

#endif // Reglages_H_INCLUDED
