#include "APropos.h"
#include "BoiteAOutils.h"
#include <wx/button.h>
#include "../Icones/genpopu16.xpm"
#include"../Icones/sourisAbout.xpm"

const long APropos::idAProposQuit = wxNewId();
const long APropos::idpanellogo = wxNewId();

BEGIN_EVENT_TABLE(APropos, wxFrame)
    EVT_BUTTON(idAProposQuit,APropos::OnQuit)
    EVT_CLOSE(APropos::OnQuit1)
END_EVENT_TABLE()

class fiche_contenu
{
    public:
    wxString Nom;
    wxString Ville;
    wxString Programme_nom;
    wxString Programme_version;
    wxString Dates;

    fiche_contenu():
        Nom(wxT("Vial Jean-Luc")),
        Ville(wxT("Annecy")),
        Programme_nom(wxT("Genpopu")),
        Programme_version(wxT("2.1.1.9")),
        Dates(wxT("3 mars 1997 / 1 avril 2024"))
    {
    #if defined(__WXMSW__)
    Programme_version+=wxT(" W");
    #elif defined(__UNIX__)
    Programme_version+=wxT(" L");
    #endif
    #if defined(__64BITS__)
    Programme_version+=wxT(" 64");
    #else
    Programme_version+=wxT(" 32");
    #endif
    }
};

APropos::APropos(wxWindow* parent,wxWindowID idfenabout):wxFrame(parent,idfenabout,wxT("A propos"),wxPoint(300,100),wxDefaultSize,wxFULL_REPAINT_ON_RESIZE|wxDEFAULT_FRAME_STYLE)
{
    FixeFontEtTaille(this);
    SetBackgroundColour(Couleur_Fenetres_defaut());
    wxRect PosAide=Taille_Fenetres_defaut();
    PosAide.SetX(PosAide.GetX()+PosAide.GetWidth()/2);
    PosAide.SetY(PosAide.GetY()+PosAide.GetHeight()/2);
    PosAide.SetWidth(300);
    PosAide.SetHeight(100);
    SetSize(PosAide);
    SetIcon(genpopu16_xpm);
    fiche_contenu fc;
    wxPanelArdoise* PanelLogo = new wxPanelArdoise(this);
    wxStaticBoxSizer *BoxsizerCadre= new wxStaticBoxSizer(wxHORIZONTAL,this,fc.Nom+wxT(" ")+ fc.Ville);
        wxBoxSizer *BoxsizerLogo= new wxBoxSizer(wxVERTICAL);
        BoxsizerLogo->Add(PanelLogo,1,wxEXPAND|wxALL,0);
        wxBoxSizer *BoxsizerTexteEtBouton= new wxBoxSizer(wxVERTICAL);
            BoxsizerTexteEtBouton->Add(new wxStaticText(this,wxID_ANY,fc.Programme_nom)     ,1,wxALL,4);
            BoxsizerTexteEtBouton->Add(new wxStaticText(this,wxID_ANY,fc.Programme_version) ,1,wxALL,4);
            BoxsizerTexteEtBouton->Add(new wxStaticText(this,wxID_ANY,fc.Dates)             ,1,wxALL,4);
            BoxsizerTexteEtBouton->Add(new wxButton(this,idAProposQuit,wxT("Fermer"))       ,1,wxALL,4);
    BoxsizerCadre->Add(BoxsizerLogo,1,wxEXPAND |wxALL,4);
    BoxsizerCadre->Add(BoxsizerTexteEtBouton,1,wxALL,4);
    // Affecte le wxBoxSizer principal  la fentre
    SetSizer(BoxsizerCadre);
    // Calcule la taille minimale de la fentre
    BoxsizerCadre->SetSizeHints(this);
}
//---------------------------------------------------------------------------
APropos::~APropos()
{
}
//---------------------------------------------------------------------------
void APropos::OnQuit(wxCommandEvent& event)
{
    Hide();
}

void APropos::OnQuit1(wxCloseEvent& event)
{
        wxCommandEvent MyEvent(wxEVT_COMMAND_BUTTON_CLICKED);
        OnQuit(MyEvent);
}
//---------------------------------------------------------------------------
// Dfinition d'un classe wxPanel pour les dessins
//---------------------------------------------------------------------------
BEGIN_EVENT_TABLE(wxPanelArdoise, wxPanel)
EVT_PAINT(wxPanelArdoise::OnPaint)
END_EVENT_TABLE()

wxPanelArdoise::wxPanelArdoise(wxFrame* parent):wxPanel(parent)
{
}

void wxPanelArdoise::OnPaint(wxPaintEvent& event)
{
    wxBitmap logosouris(sourisAbout_xpm);
    wxPaintDC dc(this);
    wxPoint origine(0,0);
    origine=dc.GetDeviceOrigin();
    dc.DrawBitmap(logosouris,origine,false);
}
