#ifndef CALCULE_H_INCLUDED
#define CALCULE_H_INCLUDED
/*
    Genpopu permet une simulation de l'volution des frquences allliques dans une population.
    Copyright (C) 1997 (version Dos) 2009-2024 (Windows and Linux Versions) Vial Jean-Luc Annecy
    Contact email: vial.frjl@free.fr

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <wx/wx.h>
#include "BoiteAOutils.h"

//---------------------------------------------------------------------------
enum Tsexe {male,femelle};
//---------------------------------------------------------------------------
class Tindividu
        {
        private:
        public:
        Tindividu();
        Tsexe sexe;
        int allele1;
        int allele2;
        bool marie;
        bool existe;
        bool homozygote();
        };
//---------------------------------------------------------------------------
class Tpopulation
        {
        private:
        std::vector<Tindividu> contenu;
        float frequence_genotype(int all1,int all2);
        public:
        Tpopulation();
        Tpopulation(const Tpopulation& popul);
        unsigned size();
        bool pushback(Tindividu nouveau);
        void clear();
        void Brasse();
        float frequence(int i);
        int panmixie();
        float sex_ratio();
        Tindividu& operator[](unsigned i);
        Tpopulation& operator=(const Tpopulation& popul);
        };
namespace Calculs
{
    float teste_RandomP(float moy);
    void Mesure();
}

#endif // CALCULE_H_INCLUDED
